# Copyright 2009-2012, Descartes Research Group, SDQ, IPD, KIT

pluginName = Applicationlevel Edit Support
providerName = www.example.org

_UI_CreateChild_text = {0}
_UI_CreateChild_text2 = {1} {0}
_UI_CreateChild_text3 = {1}
_UI_CreateChild_tooltip = Create New {0} Under {1} Feature
_UI_CreateChild_description = Create a new child of type {0} for the {1} feature of the selected {2}.
_UI_CreateSibling_description = Create a new sibling of type {0} for the selected {2}, under the {1} feature of their parent.

_UI_PropertyDescriptor_description = The {0} of the {1}

_UI_Role_type = Role
_UI_InterfaceProvidingEntity_type = Interface Providing Entity
_UI_InterfaceRequiringEntity_type = Interface Requiring Entity
_UI_InterfaceProvidingRequiringEntity_type = Interface Providing Requiring Entity
_UI_RequiredRole_type = Required Role
_UI_ProvidedRole_type = Provided Role
_UI_ComposedStructure_type = Composed Structure
_UI_ComposedProvidingRequiringEntity_type = Composed Providing Requiring Entity
_UI_AssemblyContext_type = Assembly Context
_UI_AssemblyConnector_type = Assembly Connector
_UI_DelegationConnector_type = Delegation Connector
_UI_ProvidedDelegationConnector_type = Provided Delegation Connector
_UI_RequiredDelegationConnector_type = Required Delegation Connector
_UI_Interface_type = Interface
_UI_Signature_type = Signature
_UI_Parameter_type = Parameter
_UI_Repository_type = Repository
_UI_RepositoryComponent_type = Component
_UI_BasicComponent_type = Basic Component
_UI_CompositeComponent_type = Composite Component
_UI_SubSystem_type = Sub System
_UI_DataType_type = Data Type
_UI_CollectionDataType_type = Collection Data Type
_UI_CompositeDataType_type = Composite Data Type
_UI_InnerDeclaration_type = Inner Declaration
_UI_PrimitiveDataType_type = Primitive Data Type
_UI_ServiceBehaviorAbstraction_type = Service Behavior Abstraction
_UI_FineGrainedBehavior_type = Fine Grained Behavior
_UI_ComponentInternalBehavior_type = Component Internal Behavior
_UI_AbstractAction_type = Abstract Action
_UI_StartAction_type = Start Action
_UI_StopAction_type = Stop Action
_UI_AcquireAction_type = Acquire Action
_UI_ReleaseAction_type = Release Action
_UI_InternalAction_type = Internal Action
_UI_ForkAction_type = Fork Action
_UI_BranchAction_type = Branch Action
_UI_BranchProbabilities_type = Branch Probabilities
_UI_BranchTransition_type = Branch Transition
_UI_LoopAction_type = Loop Action
_UI_LoopIterationCountDistribution_type = Loop Iteration Count Distribution
_UI_ExternalCallAction_type = External Call Action
_UI_ExternalCall_type = External Call
_UI_ResourceDemandSpecification_type = Resource Demand Specification
_UI_CoarseGrainedBehavior_type = Coarse Grained Behavior
_UI_ExternalCallFrequency_type = External Call Frequency
_UI_CallFrequency_type = Call Frequency
_UI_BlackBoxBehavior_type = Black Box Behavior
_UI_ResponseTimeSpecification_type = Response Time Specification
_UI_System_type = System
_UI_ModelVariable_type = Model Variable
_UI_ControlFlowSpecification_type = Control Flow Specification
_UI_InfluencedVariable_type = Influenced Variable
_UI_InfluencingParameter_type = Influencing Parameter
_UI_Relationship_type = Relationship
_UI_DependencyRelationship_type = Dependency Relationship
_UI_CorrelationRelationship_type = Correlation Relationship
_UI_ComponentInstanceReference_type = Component Instance Reference
_UI_Scope_type = Scope
_UI_CallParameter_type = Call Parameter
_UI_ServiceInputParameter_type = Service Input Parameter
_UI_ExternalCallReturnParameter_type = External Call Return Parameter
_UI_ExternalCallParameter_type = External Call Parameter
_UI_ExplicitFunction_type = Explicit Function
_UI_Expression_type = Expression
_UI_IfElse_type = If Else
_UI_BooleanExpression_type = Boolean Expression
_UI_Comparison_type = Comparison
_UI_Term_type = Term
_UI_Product_type = Product
_UI_Power_type = Power
_UI_Unary_type = Unary
_UI_TermExpression_type = Term Expression
_UI_ProductExpression_type = Product Expression
_UI_CompareExpression_type = Compare Expression
_UI_PowerExpression_type = Power Expression
_UI_BooleanOperatorExpression_type = Boolean Operator Expression
_UI_NotExpression_type = Not Expression
_UI_NegativeExpression_type = Negative Expression
_UI_IfElseExpression_type = If Else Expression
_UI_Atom_type = Atom
_UI_Function_type = Function
_UI_Parenthesis_type = Parenthesis
_UI_Literal_type = Literal
_UI_NumericLiteral_type = Numeric Literal
_UI_StringLiteral_type = String Literal
_UI_BoolLiteral_type = Bool Literal
_UI_IntLiteral_type = Int Literal
_UI_DoubleLiteral_type = Double Literal
_UI_FormalParameter_type = Formal Parameter
_UI_EmpiricalFunction_type = Empirical Function
_UI_RandomVariable_type = Random Variable
_UI_ProbabilityFunction_type = Probability Function
_UI_ProbabilityMassFunction_type = Probability Mass Function
_UI_Sample_type = Sample
_UI_ProbabilityDensityFunction_type = Probability Density Function
_UI_BoxedPDF_type = Boxed PDF
_UI_ContinuousSample_type = Continuous Sample
_UI_ContinuousPDF_type = Continuous PDF
_UI_NormalDistribution_type = Normal Distribution
_UI_ExponentialDistribution_type = Exponential Distribution
_UI_Unknown_type = Object

_UI_Unknown_datatype= Value

_UI_InterfaceProvidingEntity_providedRoles_feature = Provided Roles
_UI_InterfaceProvidingEntity_blackBoxBehavior_feature = Black Box Behavior
_UI_InterfaceRequiringEntity_requiredRoles_feature = Required Roles
_UI_InterfaceProvidingRequiringEntity_coarseGrainedBehavior_feature = Coarse Grained Behavior
_UI_InterfaceProvidingRequiringEntity_relationship_feature = Relationship
_UI_RequiredRole_interfaceRequiringEntity_feature = Interface Requiring Entity
_UI_RequiredRole_interface_feature = Interface
_UI_ProvidedRole_interfaceProvidingEntity_feature = Interface Providing Entity
_UI_ProvidedRole_interface_feature = Interface
_UI_ComposedStructure_assemblyContexts_feature = Assembly Contexts
_UI_ComposedStructure_assemblyConnectors_feature = Assembly Connectors
_UI_ComposedStructure_providedDelegationConnectors_feature = Provided Delegation Connectors
_UI_ComposedStructure_requiredDelegationConnectors_feature = Required Delegation Connectors
_UI_AssemblyContext_parentStructure_feature = Parent Structure
_UI_AssemblyContext_encapsulatedComponent_feature = Encapsulated Component
_UI_AssemblyConnector_parentStructure_feature = Parent Structure
_UI_AssemblyConnector_requiredRole_feature = Required Role
_UI_AssemblyConnector_providedRole_feature = Provided Role
_UI_AssemblyConnector_providingAssemblyContext_feature = Providing Assembly Context
_UI_AssemblyConnector_requiringAssemblyContext_feature = Requiring Assembly Context
_UI_DelegationConnector_assemblyContext_feature = Assembly Context
_UI_ProvidedDelegationConnector_parentStructure_feature = Parent Structure
_UI_ProvidedDelegationConnector_innerProvidedRole_feature = Inner Provided Role
_UI_ProvidedDelegationConnector_outerProvidedRole_feature = Outer Provided Role
_UI_RequiredDelegationConnector_parentStructure_feature = Parent Structure
_UI_RequiredDelegationConnector_innerRequiredRole_feature = Inner Required Role
_UI_RequiredDelegationConnector_outerRequiredRole_feature = Outer Required Role
_UI_Interface_repository_feature = Repository
_UI_Interface_parentInterfaces_feature = Parent Interfaces
_UI_Interface_signatures_feature = Signatures
_UI_Signature_parameters_feature = Parameters
_UI_Signature_returnType_feature = Return Type
_UI_Signature_interface_feature = Interface
_UI_Parameter_modifier_feature = Modifier
_UI_Parameter_dataType_feature = Data Type
_UI_Repository_datatypes_feature = Datatypes
_UI_Repository_interfaces_feature = Interfaces
_UI_Repository_components_feature = Components
_UI_RepositoryComponent_repository_feature = Repository
_UI_BasicComponent_passiveResources_feature = Passive Resources
_UI_BasicComponent_fineGrainedBehavior_feature = Fine Grained Behavior
_UI_DataType_repository_feature = Repository
_UI_CollectionDataType_innerType_feature = Inner Type
_UI_CompositeDataType_innerDeclarations_feature = Inner Declarations
_UI_CompositeDataType_parentTypes_feature = Parent Types
_UI_InnerDeclaration_dataType_feature = Data Type
_UI_InnerDeclaration_compositeDataType_feature = Composite Data Type
_UI_PrimitiveDataType_type_feature = Type
_UI_ServiceBehaviorAbstraction_describedSignature_feature = Described Signature
_UI_ServiceBehaviorAbstraction_influencingParameter_feature = Influencing Parameter
_UI_FineGrainedBehavior_basicComponent_feature = Basic Component
_UI_FineGrainedBehavior_behavior_feature = Behavior
_UI_ComponentInternalBehavior_actions_feature = Actions
_UI_ComponentInternalBehavior_parentSpecification_feature = Parent Specification
_UI_AbstractAction_parentBehavior_feature = Parent Behavior
_UI_AbstractAction_predecessor_feature = Predecessor
_UI_AbstractAction_successor_feature = Successor
_UI_AcquireAction_passiveResource_feature = Passive Resource
_UI_ReleaseAction_passiveResource_feature = Passive Resource
_UI_InternalAction_resourceDemandSpecification_feature = Resource Demand Specification
_UI_ForkAction_withSynchronizationBarrier_feature = With Synchronization Barrier
_UI_ForkAction_forkedBehaviors_feature = Forked Behaviors
_UI_BranchAction_branches_feature = Branches
_UI_BranchAction_branchProbabilities_feature = Branch Probabilities
_UI_BranchProbabilities_probabilities_feature = Probabilities
_UI_BranchTransition_branchAction_feature = Branch Action
_UI_BranchTransition_branchBehavior_feature = Branch Behavior
_UI_LoopAction_loopBodyBehavior_feature = Loop Body Behavior
_UI_LoopAction_loopIterationCountDistribution_feature = Loop Iteration Count Distribution
_UI_LoopIterationCountDistribution_loopAction_feature = Loop Action
_UI_LoopIterationCountDistribution_loopIterationCountDistribution_feature = Loop Iteration Count Distribution
_UI_ExternalCall_signature_feature = Signature
_UI_ExternalCall_requiredRole_feature = Required Role
_UI_ResourceDemandSpecification_internalAction_feature = Internal Action
_UI_ResourceDemandSpecification_coarseGrainedBehavior_feature = Coarse Grained Behavior
_UI_ResourceDemandSpecification_processingResourceType_feature = Processing Resource Type
_UI_CoarseGrainedBehavior_describedEntity_feature = Described Entity
_UI_CoarseGrainedBehavior_externalCallFrequency_feature = External Call Frequency
_UI_CoarseGrainedBehavior_resourceDemandSpecification_feature = Resource Demand Specification
_UI_ExternalCallFrequency_coarseGrainedBehavior_feature = Coarse Grained Behavior
_UI_ExternalCallFrequency_externalCall_feature = External Call
_UI_ExternalCallFrequency_frequency_feature = Frequency
_UI_CallFrequency_externalCallFrequency_feature = External Call Frequency
_UI_CallFrequency_frequency_feature = Frequency
_UI_BlackBoxBehavior_describedEntity_feature = Described Entity
_UI_BlackBoxBehavior_responseTimeSpecification_feature = Response Time Specification
_UI_ResponseTimeSpecification_blackBoxBehavior_feature = Black Box Behavior
_UI_InfluencedVariable_controlFlowVariable_feature = Control Flow Variable
_UI_InfluencedVariable_resourceDemand_feature = Resource Demand
_UI_InfluencedVariable_responseTime_feature = Response Time
_UI_InfluencingParameter_behavior_feature = Behavior
_UI_InfluencingParameter_name_feature = Name
_UI_InfluencingParameter_description_feature = Description
_UI_InfluencingParameter_scope_feature = Scope
_UI_Relationship_surroundingEntity_feature = Surrounding Entity
_UI_DependencyRelationship_influencedVariable_feature = Influenced Variable
_UI_DependencyRelationship_influencingParameter_feature = Influencing Parameter
_UI_CorrelationRelationship_leftInfluencingParameter_feature = Left Influencing Parameter
_UI_CorrelationRelationship_rightInfluencingParameter_feature = Right Influencing Parameter
_UI_CorrelationRelationship_leftComponentInstanceReference_feature = Left Component Instance Reference
_UI_CorrelationRelationship_rightComponentInstanceReference_feature = Right Component Instance Reference
_UI_ComponentInstanceReference_assemblies_feature = Assemblies
_UI_Scope_influencingParameter_feature = Influencing Parameter
_UI_Scope_interfaceProvidingRequiringEntity_feature = Interface Providing Requiring Entity
_UI_CallParameter_characterization_feature = Characterization
_UI_CallParameter_signature_feature = Signature
_UI_CallParameter_parameter_feature = Parameter
_UI_CallParameter_returnType_feature = Return Type
_UI_ServiceInputParameter_providedRole_feature = Provided Role
_UI_ExternalCallReturnParameter_externalCall_feature = External Call
_UI_ExternalCallParameter_externallCall_feature = Externall Call
_UI_ExplicitFunction_specification_feature = Specification
_UI_ExplicitFunction_expression_feature = Expression
_UI_TermExpression_left_feature = Left
_UI_TermExpression_right_feature = Right
_UI_TermExpression_operation_feature = Operation
_UI_ProductExpression_left_feature = Left
_UI_ProductExpression_right_feature = Right
_UI_ProductExpression_operation_feature = Operation
_UI_CompareExpression_left_feature = Left
_UI_CompareExpression_right_feature = Right
_UI_CompareExpression_operation_feature = Operation
_UI_PowerExpression_base_feature = Base
_UI_PowerExpression_exponent_feature = Exponent
_UI_BooleanOperatorExpression_left_feature = Left
_UI_BooleanOperatorExpression_right_feature = Right
_UI_BooleanOperatorExpression_operation_feature = Operation
_UI_NotExpression_inner_feature = Inner
_UI_NegativeExpression_inner_feature = Inner
_UI_IfElseExpression_ifExpression_feature = If Expression
_UI_IfElseExpression_elseExpression_feature = Else Expression
_UI_IfElseExpression_conditionExpression_feature = Condition Expression
_UI_Function_id_feature = Id
_UI_Function_parameters_feature = Parameters
_UI_Parenthesis_innerExpression_feature = Inner Expression
_UI_StringLiteral_value_feature = Value
_UI_BoolLiteral_value_feature = Value
_UI_IntLiteral_value_feature = Value
_UI_DoubleLiteral_value_feature = Value
_UI_FormalParameter_name_feature = Name
_UI_RandomVariable_specification_feature = Specification
_UI_RandomVariable_probFunction_feature = Prob Function
_UI_ProbabilityMassFunction_sample_feature = Sample
_UI_Sample_value_feature = Value
_UI_Sample_probability_feature = Probability
_UI_BoxedPDF_sample_feature = Sample
_UI_ContinuousSample_value_feature = Value
_UI_ContinuousSample_probability_feature = Probability
_UI_NormalDistribution_mu_feature = Mu
_UI_NormalDistribution_sigma_feature = Sigma
_UI_ExponentialDistribution_rate_feature = Rate
_UI_Unknown_feature = Unspecified

_UI_ParameterModifier_NONE_literal = NONE
_UI_ParameterModifier_IN_literal = IN
_UI_ParameterModifier_OUT_literal = OUT
_UI_ParameterModifier_INOUT_literal = INOUT
_UI_PrimitiveTypeEnum_INT_literal = INT
_UI_PrimitiveTypeEnum_STRING_literal = STRING
_UI_PrimitiveTypeEnum_BOOL_literal = BOOL
_UI_PrimitiveTypeEnum_DOUBLE_literal = DOUBLE
_UI_PrimitiveTypeEnum_CHAR_literal = CHAR
_UI_PrimitiveTypeEnum_BYTE_literal = BYTE
_UI_PrimitiveTypeEnum_LONG_literal = LONG
_UI_CharacterizationType_VALUE_literal = VALUE
_UI_CharacterizationType_NUMBER_OF_ELEMENTS_literal = NUMBER_OF_ELEMENTS
_UI_TermOperations_ADD_literal = ADD
_UI_TermOperations_SUB_literal = SUB
_UI_ProductOperations_MULT_literal = MULT
_UI_ProductOperations_DIV_literal = DIV
_UI_ProductOperations_MOD_literal = MOD
_UI_CompareOperations_GREATER_literal = GREATER
_UI_CompareOperations_EQUALS_literal = EQUALS
_UI_CompareOperations_LESS_literal = LESS
_UI_CompareOperations_NOTEQUAL_literal = NOTEQUAL
_UI_CompareOperations_LESSEQUAL_literal = LESSEQUAL
_UI_CompareOperations_GREATEREQUAL_literal = GREATEREQUAL
_UI_BooleanOperations_AND_literal = AND
_UI_BooleanOperations_OR_literal = OR
_UI_BooleanOperations_XOR_literal = XOR
_UI_ExplicitCharacterization_type = Explicit Characterization
_UI_ComposedStructureAssembly_type = Composed Structure Assembly
_UI_DependencyRelationship_empiricalCharacterization_feature = Empirical Characterization
_UI_DependencyRelationship_explicitCharacterization_feature = Explicit Characterization
_UI_CorrelationRelationship_leftToRightEmpiricalCharacterization_feature = Left To Right Empirical Characterization
_UI_CorrelationRelationship_leftToRightExplicitCharacterization_feature = Left To Right Explicit Characterization
_UI_CorrelationRelationship_rightToLeftEmpiricalCharacterization_feature = Right To Left Empirical Characterization
_UI_CorrelationRelationship_rightToLeftExplicitCharacterization_feature = Right To Left Explicit Characterization
_UI_ExplicitCharacterization_explicitFunction_feature = Explicit Function
_UI_ComposedStructureAssembly_assemblyContexts_feature = Assembly Contexts
_UI_ComposedStructureAssembly_assemblyConnectors_feature = Assembly Connectors
_UI_ComposedStructureAssembly_providedDelegationConnectors_feature = Provided Delegation Connectors
_UI_ComposedStructureAssembly_requiredDelegationConnectors_feature = Required Delegation Connectors
_UI_AssemblyContext_parentAssembly_feature = Parent Assembly
_UI_AssemblyConnector_parentAssembly_feature = Parent Assembly
_UI_ProvidedDelegationConnector_parentAssembly_feature = Parent Assembly
_UI_RequiredDelegationConnector_parentAssembly_feature = Parent Assembly
_UI_ComposedStructure_assembly_feature = Assembly
_UI_EmpiricalCharacterization_VALUE_literal = VALUE
_UI_EmpiricalCharacterization_NUMBER_OF_ELEMENTS_literal = NUMBER_OF_ELEMENTS
_UI_SubSystem_NONE_literal = NONE
_UI_SubSystem_IN_literal = IN
_UI_SubSystem_OUT_literal = OUT
_UI_SubSystem_INOUT_literal = INOUT
_UI_Import_type = Import
_UI_Import_importedNamespace_feature = Imported Namespace
_UI_Import_repository_feature = Repository
_UI_Repository_imports_feature = Imports
_UI_PrimitiveDataType_name_feature = Name
_UI_EmpiricalCharacterization_type = Empirical Characterization
_UI_Semaphore_type = Semaphore
_UI_EmpiricalCharacterization_empiricalFunction_feature = Empirical Function
_UI_BasicComponent_semaphores_feature = Semaphores
_UI_Semaphore_capacity_feature = Capacity
_UI_AcquireAction_semaphore_feature = Semaphore
_UI_ReleaseAction_semaphore_feature = Semaphore
_UI_Import_importURI_feature = Import URI
_UI_ServiceBehaviorAbstraction_providedRole_feature = Provided Role
_UI_BooleanLiteral_type = Boolean Literal
_UI_BinaryBooleanExpression_type = Binary Boolean Expression
_UI_UnaryBooleanExpression_type = Unary Boolean Expression
_UI_Function_name_feature = Name
_UI_FormalParameter_value_feature = Value
_UI_BooleanLiteral_value_feature = Value
_UI_IfElseExpression_condition_feature = Condition
_UI_IfElseExpression_trueExp_feature = True Exp
_UI_IfElseExpression_falseExp_feature = False Exp
_UI_BinaryBooleanExpression_left_feature = Left
_UI_BinaryBooleanExpression_operation_feature = Operation
_UI_BinaryBooleanExpression_right_feature = Right
_UI_UnaryBooleanExpression_inner_feature = Inner
_UI_Comparison_left_feature = Left
_UI_Comparison_operation_feature = Operation
_UI_Comparison_right_feature = Right
_UI_Term_left_feature = Left
_UI_Term_operation_feature = Operation
_UI_Term_right_feature = Right
_UI_Product_left_feature = Left
_UI_Product_operation_feature = Operation
_UI_Product_right_feature = Right
_UI_Power_base_feature = Base
_UI_Power_exponent_feature = Exponent
_UI_ProductOperation_MULT_literal = MULT
_UI_ProductOperation_DIV_literal = DIV
_UI_ProductOperation_MOD_literal = MOD
_UI_TermOperation_ADD_literal = ADD
_UI_TermOperation_SUB_literal = SUB
_UI_CompareOperation_GREATER_literal = GREATER
_UI_CompareOperation_LESS_literal = LESS
_UI_CompareOperation_EQUALS_literal = EQUALS
_UI_CompareOperation_NOTEQUAL_literal = NOTEQUAL
_UI_CompareOperation_LESSEQUAL_literal = LESSEQUAL
_UI_CompareOperation_GREATEREQUAL_literal = GREATEREQUAL
_UI_BooleanOperation_AND_literal = AND
_UI_BooleanOperation_OR_literal = OR
_UI_BooleanOperation_XOR_literal = XOR
_UI_ContinuousSample_ADD_literal = ADD
_UI_ContinuousSample_SUB_literal = SUB
_UI_ContinuousPDF_ADD_literal = ADD
_UI_ContinuousPDF_SUB_literal = SUB
_UI_NormalDistribution_MULT_literal = MULT
_UI_NormalDistribution_DIV_literal = DIV
_UI_NormalDistribution_MOD_literal = MOD
_UI_ExponentialDistribution_GREATER_literal = GREATER
_UI_ExponentialDistribution_EQUALS_literal = EQUALS
_UI_ExponentialDistribution_LESS_literal = LESS
_UI_ExponentialDistribution_NOTEQUAL_literal = NOTEQUAL
_UI_ExponentialDistribution_LESSEQUAL_literal = LESSEQUAL
_UI_ExponentialDistribution_GREATEREQUAL_literal = GREATEREQUAL
_UI_SampleList_type = Sample List
_UI_DoubleSample_type = Double Sample
_UI_IntSample_type = Int Sample
_UI_BoolSample_type = Bool Sample
_UI_EnumSample_type = Enum Sample
_UI_IntSampleList_type = Int Sample List
_UI_DoubleSampleList_type = Double Sample List
_UI_BoolSampleList_type = Bool Sample List
_UI_EnumSampleList_type = Enum Sample List
_UI_ProbabilityMassFunction_samples_feature = Samples
_UI_DoubleSample_value_feature = Value
_UI_DoubleSample_probability_feature = Probability
_UI_IntSample_value_feature = Value
_UI_IntSample_probability_feature = Probability
_UI_BoolSample_value_feature = Value
_UI_BoolSample_probability_feature = Probability
_UI_EnumSample_value_feature = Value
_UI_EnumSample_probability_feature = Probability
_UI_IntSampleList_items_feature = Items
_UI_DoubleSampleList_items_feature = Items
_UI_BoolSampleList_items_feature = Items
_UI_EnumSampleList_items_feature = Items
_UI_ControlFlowVariable_type = Control Flow Variable
_UI_InfluencedVariableReference_type = Influenced Variable Reference
_UI_ScopeSet_type = Scope Set
_UI_Characterization_type = Characterization
_UI_InterfaceRequiringRole_type = Interface Requiring Role
_UI_InterfaceProvidingRole_type = Interface Providing Role
_UI_ProvidingDelegationConnector_type = Providing Delegation Connector
_UI_RequiringDelegationConnector_type = Requiring Delegation Connector
_UI_ResourceDemand_type = Resource Demand
_UI_ResponseTime_type = Response Time
_UI_ModelVariable_scopeSet_feature = Scope Set
_UI_InfluencedVariableReference_getInfluencedVariable_feature = Get Influenced Variable
_UI_InfluencedVariableReference_controlFlowVariable_feature = Control Flow Variable
_UI_InfluencedVariableReference_resourceDemand_feature = Resource Demand
_UI_InfluencedVariableReference_responseTime_feature = Response Time
_UI_DependencyRelationship_influencedVariableReference_feature = Influenced Variable Reference
_UI_DependencyRelationship_influencingParameters_feature = Influencing Parameters
_UI_DependencyRelationship_characterization_feature = Characterization
_UI_CorrelationRelationship_sourceInfluencingParameters_feature = Source Influencing Parameters
_UI_CorrelationRelationship_destInfluencingParameter_feature = Dest Influencing Parameter
_UI_CorrelationRelationship_sourceComponentInstanceReferences_feature = Source Component Instance References
_UI_CorrelationRelationship_destComponentInstanceReference_feature = Dest Component Instance Reference
_UI_CorrelationRelationship_characterization_feature = Characterization
_UI_ScopeSet_scope_feature = Scope
_UI_Characterization_relationshipCharacterizationType_feature = Relationship Characterization Type
_UI_Characterization_explicitFunction_feature = Explicit Function
_UI_ServiceInputParameter_interfaceProvidingRole_feature = Interface Providing Role
_UI_InterfaceProvidingEntity_interfaceProvidingRoles_feature = Interface Providing Roles
_UI_InterfaceRequiringEntity_interfaceRequiringRoles_feature = Interface Requiring Roles
_UI_InterfaceProvidingRequiringEntity_relationships_feature = Relationships
_UI_InterfaceRequiringRole_interfaceRequiringEntity_feature = Interface Requiring Entity
_UI_InterfaceRequiringRole_interface_feature = Interface
_UI_InterfaceProvidingRole_interfaceProvidingEntity_feature = Interface Providing Entity
_UI_InterfaceProvidingRole_interface_feature = Interface
_UI_ComposedStructure_providingDelegationConnectors_feature = Providing Delegation Connectors
_UI_ComposedStructure_requiringDelegationConnectors_feature = Requiring Delegation Connectors
_UI_AssemblyConnector_interfaceRequiringRole_feature = Interface Requiring Role
_UI_AssemblyConnector_interfaceProvidingRole_feature = Interface Providing Role
_UI_ProvidingDelegationConnector_parentStructure_feature = Parent Structure
_UI_ProvidingDelegationConnector_innerInterfaceProvidingRole_feature = Inner Interface Providing Role
_UI_ProvidingDelegationConnector_outerInterfaceProvidingRole_feature = Outer Interface Providing Role
_UI_RequiringDelegationConnector_parentStructure_feature = Parent Structure
_UI_RequiringDelegationConnector_innerInterfaceRequiringRole_feature = Inner Interface Requiring Role
_UI_RequiringDelegationConnector_outerInterfaceRequiringRole_feature = Outer Interface Requiring Role
_UI_ServiceBehaviorAbstraction_influencedVariableReference_feature = Influenced Variable Reference
_UI_ServiceBehaviorAbstraction_interfaceProvidingRole_feature = Interface Providing Role
_UI_InternalAction_resourceDemand_feature = Resource Demand
_UI_ExternalCall_interfaceRequiringRole_feature = Interface Requiring Role
_UI_ResourceDemand_internalAction_feature = Internal Action
_UI_ResourceDemand_coarseGrainedBehavior_feature = Coarse Grained Behavior
_UI_CoarseGrainedBehavior_resourceDemand_feature = Resource Demand
_UI_BlackBoxBehavior_responseTime_feature = Response Time
_UI_ResponseTime_blackBoxBehavior_feature = Black Box Behavior
_UI_RelationshipCharacterizationType_EMPIRICAL_literal = EMPIRICAL
_UI_RelationshipCharacterizationType_EXPLICIT_literal = EXPLICIT
_UI_RelationshipCharacterizationType_IDENTITY_literal = IDENTITY
_UI_ParameterCharacterizationType_VALUE_literal = VALUE
_UI_ParameterCharacterizationType_NUMBER_OF_ELEMENTS_literal = NUMBER_OF_ELEMENTS
_UI_PrimitiveDataType_INT_literal = INT
_UI_PrimitiveDataType_STRING_literal = STRING
_UI_PrimitiveDataType_BOOL_literal = BOOL
_UI_PrimitiveDataType_DOUBLE_literal = DOUBLE
_UI_PrimitiveDataType_CHAR_literal = CHAR
_UI_PrimitiveDataType_BYTE_literal = BYTE
_UI_PrimitiveDataType_LONG_literal = LONG
